# QTextFragment Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextFragment()
- void QTextFragment(QTextFragment o)

### Constructor Properties

- prototype: The QTextFragment prototype object

### Prototype Object Properties

- QTextCharFormat charFormat()
- int charFormatIndex()
- bool contains(int position)
- bool isValid()
- int length()
- bool operator_equal(QTextFragment o)
- bool operator_less(QTextFragment o)
- int position()
- String text()

### Instance Properties

QTextFragment objects have no special properties beyond those inherited from the QTextFragment prototype object.